QGIS Application - Bug report #14435
Rule-based labeling and the Data defined placement options are not working together
2016-03-07 12:52 AM - Martin Hopke

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22414
Description

After setting "Rule-based labeling" to layer (new feature since QGIS 2.12), the data defined labeling position is not working any more.
After going back to "Show labels for this layer", everything works fine.

History

#1 - 2016-04-07 03:08 AM - R. R.

Same here, as a workaround | use the 'Rotate Point Symbols' tool (data defined angle) to rotate rule-based labels (data defined rotation).

#2 - 2016-04-09 09:21 AM - Giovanni Manghi

- OS version deleted (17.2)

- Operating System deleted (Mint)

- Priority changed from High to Normal

- Category set to Labelling

#3 - 2016-05-07 02:28 PM - R. R.

Seems to be fixed in master.

#4 - 2016-05-07 02:32 PM - R. R.
- Status changed from Open to Closed
